Bug 982759 - sympy: please package python 3 version
sympy: please package python 3 version
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sympy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On: 987572 1015699
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 15:46 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2013-11-10 02:32 EST (History)
2 users (show)

See Also:
Fixed In Version: sympy-0.7.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:32:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-07-09 15:46:13 EDT
Description of problem:
sympy is one of the few missing pieces of "scientific python" functionality in fedora with python 3.3. It'd be great if sympy could be packaged.
Comment 1 Jerry James 2013-07-09 17:45:01 EDT
This can't be done yet.  First, python3-mpmath doesn't exist.  That is absolutely required.

Second, python3-pyglet doesn't exist.  It *may* be possible to get away without that one, but it will lead to reduced functionality.  Furthermore, the pyglet maintainer has already stated that the current version can't be built for python3, but that upstream is working on it.  See bug 868266.

Once those two packages have python3 versions, I will happily build a python3 version of sympy.
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-07-23 13:01:33 EDT
I had a look at the mpmath situation. It seems that mpmath-0.17 from 
http://code.google.com/p/mpmath/ works fine with Python3.2. With Python3.3 there's one test failure, related to hashing. Without looking into it, it'd guess that this related to the randomized hashing changes in 3.3. The repository on code.g.c seems dead, but https://github.com/fredrik-johansson/mpmath seems alive. Bugging mpmath in 987572.
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-10-07 19:59:51 EDT
python3-pyglet is in testing: https://admin.fedoraproject.org/updates/python-pyglet-1.2-0.7.alpha1.fc20.
Comment 4 Petr Viktorin 2013-10-08 12:38:32 EDT
I'm also pushin python3-pyglet to f19: https://admin.fedoraproject.org/updates/python-pyglet-1.2-0.7.alpha1.fc19
Comment 5 Jerry James 2013-10-18 15:37:53 EDT
Great, thanks Petr.  I tried to build the python3 version of sympy for Rawhide, and the tests failed with some kind of Unicode error.  Looking into it...
Comment 6 Jerry James 2013-10-18 19:06:50 EDT
Got the Unicode error sorted out, and there is now a python3-sympy subpackage in Rawhide.  Will build it for F-20 next.
Comment 7 Fedora Update System 2013-10-19 13:35:42 EDT
sympy-0.7.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sympy-0.7.3-2.fc20
Comment 8 Fedora Update System 2013-10-20 13:44:52 EDT
Package sympy-0.7.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sympy-0.7.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19532/sympy-0.7.3-2.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-11-10 02:32:17 EST
sympy-0.7.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.